package sklep.klient;

import java.util.List;

import sklep.generated.*;

public class OdczytajWszystkieProdukty {

	public static void main(String[] args) {
		System.out.println("Początek programu");
		SklepService service = new SklepService();
		System.out.println("Mam obiekt service: " + service);
		
		Sklep sklep = service.getSklepPort();
		System.out.println("Mam obiekt proxy: " + sklep);
		System.out.println("Zadaję zapytanie...\n");

		try {
			List<Product> products = sklep.readAll();
			System.out.println("Odczytano " + products.size() + " produktów.");
			for (Product product : products) {
				System.out.println(product + " " + product.getProductName() + " za cenę " + product.getPrice());
			}
		} catch (DBException_Exception e) {
			e.printStackTrace();
		}
		System.out.println("Koniec programu");
	}

}
